-- $Id: sesam_insert_start.sql,v 1.205 2013/08/30 09:30:32 sesam Exp $
-- INSERT Section of basic values

INSERT INTO defaults (key,user_name,value) SELECT distinct 'generationrestore','sesam','1' where 0=(select count(*) from defaults where key='generationrestore' AND user_name='sesam');
INSERT INTO defaults (key,user_name,value) SELECT distinct 'license','sesam','2' where 0=(select count(*) from defaults where key='license' AND user_name='sesam');
INSERT INTO defaults (key,user_name,value) SELECT distinct 'mailsupport','sesam','1' where 0=(select count(*) from defaults where key='mailsupport' AND user_name='sesam');
INSERT INTO defaults (key,user_name,value) SELECT distinct 'clockoffset','sesam','00:00' where 0=(select count(*) from defaults where key='clockoffset' AND user_name='sesam');
INSERT INTO defaults (key,user_name,value) SELECT distinct 'change_slox_view','sesam','1' where 0=(select count(*) from defaults where key='change_slox_view' AND user_name='sesam');
INSERT INTO defaults (key,user_name,value) SELECT distinct 'media_accept_eol','sesam','y' where 0=(select count(*) from defaults where key='media_accept_eol' AND user_name='sesam');
INSERT INTO defaults (key,user_name,value) SELECT distinct 'media_accept_spare','sesam','y' where 0=(select count(*) from defaults where key='media_accept_spare' AND user_name='sesam');
INSERT INTO defaults (key,user_name,value) SELECT distinct 'with_archive_bit','sesam','no' where 0=(select count(*) from defaults where key='with_archive_bit' AND user_name='sesam');
INSERT INTO defaults (key,user_name,value) SELECT distinct 'update_ticker','sesam','1' where 0=(select count(*) from defaults where key='update_ticker' AND user_name='sesam');
INSERT INTO defaults (key,user_name,value) SELECT distinct 'eol_sesam_logs','sesam','7' where 0=(select count(*) from defaults where key='eol_sesam_logs' AND user_name='sesam');
INSERT INTO defaults (key,user_name,value) SELECT distinct 'eol_cal_sheets','sesam','35' where 0=(select count(*) from defaults where key='eol_cal_sheets' AND user_name='sesam');
INSERT INTO defaults (key,user_name,value) SELECT distinct 'eol_readchecks','sesam','2190' where 0=(select count(*) from defaults where key='eol_readchecks' AND user_name='sesam');
INSERT INTO defaults (key,user_name,value,host,protection) SELECT distinct 'sep_remote_access_url','sesam','http://www.sep.de/remotesupport/',NULL,NULL where 0=(select count(*) from defaults where key='sep_remote_access_url' AND user_name='sesam');
INSERT INTO defaults (key,user_name,value) SELECT distinct 'beta','sesam','0' where 0=(select count(*) from defaults where key='beta' AND user_name='sesam');
INSERT INTO defaults (key,user_name,value) SELECT distinct 'sm_lis_items','sesam','1' where 0=(select count(*) from defaults where key='sm_lis_items' AND user_name='sesam');
INSERT INTO defaults (key,user_name,value) SELECT distinct 'feed_reader','sesam','1' where 0=(select count(*) from defaults where key='feed_reader' AND user_name='sesam');
INSERT INTO defaults (key,user_name,value) SELECT distinct 'feed_url','sesam','http://notification.sepsoftware.com/?id=625&L={x}&tx_push2rss3ds[channel]={x.x}' where 0=(select count(*) from defaults where key='feed_url' AND user_name='sesam');
INSERT INTO defaults (key,user_name,value) SELECT distinct 'main_feed_url','sesam','http://notification.sepsoftware.com' where 0=(select count(*) from defaults where key='main_feed_url' AND user_name='sesam');
INSERT INTO defaults (key,user_name,value) SELECT distinct 'feed_intervall','sesam','720' where 0=(select count(*) from defaults where key='feed_intervall' AND user_name='sesam');
INSERT INTO defaults (key,user_name,value) SELECT distinct 'feed_filter','sesam','3' where 0=(select count(*) from defaults where key='feed_filter' AND user_name='sesam');


INSERT INTO data_store_types (name,generic_type,vendor_type) SELECT distinct 'Path','Path',NULL where 0=(select count(*) from data_store_types where name='Path');
INSERT INTO data_store_types (name,generic_type,vendor_type) SELECT distinct 'SEP EasyArchive','Archive',NULL where 0=(select count(*) from data_store_types where name='SEP EasyArchive');
INSERT INTO data_store_types (name,generic_type,vendor_type) SELECT distinct 'SEP FDS Deduplication Store','Deduplication',NULL where 0=(select count(*) from data_store_types where name='SEP FDS Deduplication Store');
-- INSERT INTO data_store_types (name,generic_type,vendor_type) SELECT distinct 'SEP Si3 Deduplication Store','Deduplication',NULL where 0=(select count(*) from data_store_types where name='SEP Si3 Deduplication Store');

INSERT INTO drive_types (drive_type,generic_type) SELECT distinct 'CDR','CDR' where 0=(select count(*) from drive_types where drive_type='CDR');
INSERT INTO drive_types (drive_type,generic_type) SELECT distinct 'CDRW','CDRW' where 0=(select count(*) from drive_types where drive_type='CDRW');
INSERT INTO drive_types (drive_type,generic_type) SELECT distinct 'DVDR','CDR' where 0=(select count(*) from drive_types where drive_type='DVDR');
INSERT INTO drive_types (drive_type,generic_type) SELECT distinct 'DVDRW','CDRW' where 0=(select count(*) from drive_types where drive_type='DVDRW');
INSERT INTO drive_types (drive_type,generic_type) SELECT distinct 'DISK_CHNG','DISK' where 0=(select count(*) from drive_types where drive_type='DISK_CHNG');
INSERT INTO drive_types (drive_type,generic_type) SELECT distinct 'DISK_HARD','DISK' where 0=(select count(*) from drive_types where drive_type='DISK_HARD');
INSERT INTO drive_types (drive_type,generic_type) SELECT distinct 'DISK_STORE','DISK' where 0=(select count(*) from drive_types where drive_type='DISK_STORE');
INSERT INTO drive_types (drive_type,generic_type) SELECT distinct 'AIT','AIT' where 0=(select count(*) from drive_types where drive_type='AIT');
INSERT INTO drive_types (drive_type,generic_type) SELECT distinct 'DLT','DLT' where 0=(select count(*) from drive_types where drive_type='DLT');
INSERT INTO drive_types (drive_type,generic_type) SELECT distinct 'SDLT','DLT' where 0=(select count(*) from drive_types where drive_type='SDLT');
INSERT INTO drive_types (drive_type,generic_type) SELECT distinct 'DAT','DAT' where 0=(select count(*) from drive_types where drive_type='DAT');
INSERT INTO drive_types (drive_type,generic_type) SELECT distinct 'DDS','DAT' where 0=(select count(*) from drive_types where drive_type='DDS');
INSERT INTO drive_types (drive_type,generic_type) SELECT distinct 'EXA','EXA1' where 0=(select count(*) from drive_types where drive_type='EXA');
INSERT INTO drive_types (drive_type,generic_type) SELECT distinct 'VXA','VXA' where 0=(select count(*) from drive_types where drive_type='VXA');
INSERT INTO drive_types (drive_type,generic_type) SELECT distinct 'QIC','QIC' where 0=(select count(*) from drive_types where drive_type='QIC');
INSERT INTO drive_types (drive_type,generic_type) SELECT distinct 'SLR','QIC' where 0=(select count(*) from drive_types where drive_type='SLR');
INSERT INTO drive_types (drive_type,generic_type) SELECT distinct 'LTO','LTO' where 0=(select count(*) from drive_types where drive_type='LTO');

INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'CDR','GENERIC','f' where 0=(select count(*) from drive_vendors where drive_type='CDR' AND vendor_type='GENERIC');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'CDRW','GENERIC','f' where 0=(select count(*) from drive_vendors where drive_type='CDRW' AND vendor_type='GENERIC');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'DVDR','GENERIC','f' where 0=(select count(*) from drive_vendors where drive_type='DVDR' AND vendor_type='GENERIC');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'DVDRW','GENERIC','f' where 0=(select count(*) from drive_vendors where drive_type='DVDRW' AND vendor_type='GENERIC');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'DISK_CHNG','DISK_CHNG','f' where 0=(select count(*) from drive_vendors where drive_type='DISK_CHNG' AND vendor_type='DISK_CHNG');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'DISK_HARD','DISK_HARD','f' where 0=(select count(*) from drive_vendors where drive_type='DISK_HARD' AND vendor_type='DISK_HARD');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'DISK_STORE','DISK_STORE','f' where 0=(select count(*) from drive_vendors where drive_type='DISK_STORE' AND vendor_type='DISK_STORE');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'AIT','AIT','f' where 0=(select count(*) from drive_vendors where drive_type='AIT' AND vendor_type='AIT');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'AIT','SDX-300','f' where 0=(select count(*) from drive_vendors where drive_type='AIT' AND vendor_type='SDX-300');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'AIT','SDX-300C','f' where 0=(select count(*) from drive_vendors where drive_type='AIT' AND vendor_type='SDX-300C');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'AIT','SDX-400C','f' where 0=(select count(*) from drive_vendors where drive_type='AIT' AND vendor_type='SDX-400C');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'AIT','SDX-410C','f' where 0=(select count(*) from drive_vendors where drive_type='AIT' AND vendor_type='SDX-410C');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'AIT','AIT2','f' where 0=(select count(*) from drive_vendors where drive_type='AIT' AND vendor_type='AIT2');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'AIT','SDX-500','f' where 0=(select count(*) from drive_vendors where drive_type='AIT' AND vendor_type='SDX-500');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'AIT','SDX-500C','f' where 0=(select count(*) from drive_vendors where drive_type='AIT' AND vendor_type='SDX-500C');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'AIT','SDX-510C','f' where 0=(select count(*) from drive_vendors where drive_type='AIT' AND vendor_type='SDX-510C');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'AIT','AIT3','f' where 0=(select count(*) from drive_vendors where drive_type='AIT' AND vendor_type='AIT3');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'AIT','SDX-700C','f' where 0=(select count(*) from drive_vendors where drive_type='AIT' AND vendor_type='SDX-700C');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'AIT','DAT320','f' where 0=(select count(*) from drive_vendors where drive_type='AIT' AND vendor_type='DAT320');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'DLT','DLT','f' where 0=(select count(*) from drive_vendors where drive_type='DLT' AND vendor_type='DLT');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'DLT','DLT2000','f' where 0=(select count(*) from drive_vendors where drive_type='DLT' AND vendor_type='DLT2000');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'DLT','TZ86','f' where 0=(select count(*) from drive_vendors where drive_type='DLT' AND vendor_type='TZ86');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'DLT','TZ867','f' where 0=(select count(*) from drive_vendors where drive_type='DLT' AND vendor_type='TZ867');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'DLT','DLT4000','f' where 0=(select count(*) from drive_vendors where drive_type='DLT' AND vendor_type='DLT4000');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'DLT','TZ87','f' where 0=(select count(*) from drive_vendors where drive_type='DLT' AND vendor_type='TZ87');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'DLT','TZ877','f' where 0=(select count(*) from drive_vendors where drive_type='DLT' AND vendor_type='TZ877');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'DLT','DLT7000','f' where 0=(select count(*) from drive_vendors where drive_type='DLT' AND vendor_type='DLT7000');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'DLT','TZ88','f' where 0=(select count(*) from drive_vendors where drive_type='DLT' AND vendor_type='TZ88');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'DLT','TZ887','f' where 0=(select count(*) from drive_vendors where drive_type='DLT' AND vendor_type='TZ887');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'DLT','DLT8000','f' where 0=(select count(*) from drive_vendors where drive_type='DLT' AND vendor_type='DLT8000');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'DLT','TZ89','f' where 0=(select count(*) from drive_vendors where drive_type='DLT' AND vendor_type='TZ89');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'DLT','TZ897','f' where 0=(select count(*) from drive_vendors where drive_type='DLT' AND vendor_type='TZ897');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'SDLT','SDLT','f' where 0=(select count(*) from drive_vendors where drive_type='SDLT' AND vendor_type='SDLT');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'SDLT','SDLT600','f' where 0=(select count(*) from drive_vendors where drive_type='SDLT' AND vendor_type='SDLT600');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'SDLT','SuperDLT1','f' where 0=(select count(*) from drive_vendors where drive_type='SDLT' AND vendor_type='SuperDLT1');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'EXA','EXA','f' where 0=(select count(*) from drive_vendors where drive_type='EXA' AND vendor_type='EXA');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'EXA','EXA85','f' where 0=(select count(*) from drive_vendors where drive_type='EXA' AND vendor_type='EXA85');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'VXA','VXA','f' where 0=(select count(*) from drive_vendors where drive_type='VXA' AND vendor_type='VXA');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'VXA','VXA-2','f' where 0=(select count(*) from drive_vendors where drive_type='VXA' AND vendor_type='VXA-2');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'DAT','DAT','f' where 0=(select count(*) from drive_vendors where drive_type='DAT' AND vendor_type='DAT');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'DAT','TLZ6','f' where 0=(select count(*) from drive_vendors where drive_type='DAT' AND vendor_type='TLZ6');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'DAT','TLZ06','f' where 0=(select count(*) from drive_vendors where drive_type='DAT' AND vendor_type='TLZ06');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'DAT','TLZ7','f' where 0=(select count(*) from drive_vendors where drive_type='DAT' AND vendor_type='TLZ7');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'DAT','TLZ07','f' where 0=(select count(*) from drive_vendors where drive_type='DAT' AND vendor_type='TLZ07');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'DAT','TLZ9','f' where 0=(select count(*) from drive_vendors where drive_type='DAT' AND vendor_type='TLZ9');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'DAT','TLZ09','f' where 0=(select count(*) from drive_vendors where drive_type='DAT' AND vendor_type='TLZ09');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'DDS','DDS','f' where 0=(select count(*) from drive_vendors where drive_type='DDS' AND vendor_type='DDS');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'QIC','QIC','f' where 0=(select count(*) from drive_vendors where drive_type='QIC' AND vendor_type='QIC');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'SLR','SLR','f' where 0=(select count(*) from drive_vendors where drive_type='SLR' AND vendor_type='SLR');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'SLR','SLR24','f' where 0=(select count(*) from drive_vendors where drive_type='SLR' AND vendor_type='SLR24');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'SLR','SLR26','f' where 0=(select count(*) from drive_vendors where drive_type='SLR' AND vendor_type='SLR26');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'SLR','SLR32','f' where 0=(select count(*) from drive_vendors where drive_type='SLR' AND vendor_type='SLR32');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'SLR','SLR40','f' where 0=(select count(*) from drive_vendors where drive_type='SLR' AND vendor_type='SLR40');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'SLR','SLR50','f' where 0=(select count(*) from drive_vendors where drive_type='SLR' AND vendor_type='SLR50');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'SLR','SLR60','f' where 0=(select count(*) from drive_vendors where drive_type='SLR' AND vendor_type='SLR60');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'SLR','SLR100','f' where 0=(select count(*) from drive_vendors where drive_type='SLR' AND vendor_type='SLR100');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'LTO','LTO','f' where 0=(select count(*) from drive_vendors where drive_type='LTO' AND vendor_type='LTO');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'LTO','LTO3580','f' where 0=(select count(*) from drive_vendors where drive_type='LTO' AND vendor_type='LTO3580');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'LTO','ULTRIUM','f' where 0=(select count(*) from drive_vendors where drive_type='LTO' AND vendor_type='ULTRIUM');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'LTO','ULTRIUM-TD1','f' where 0=(select count(*) from drive_vendors where drive_type='LTO' AND vendor_type='ULTRIUM-TD1');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'LTO','ULTRIUM-TD2','f' where 0=(select count(*) from drive_vendors where drive_type='LTO' AND vendor_type='ULTRIUM-TD2');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'LTO','ULTRIUM-TD3','f' where 0=(select count(*) from drive_vendors where drive_type='LTO' AND vendor_type='ULTRIUM-TD3');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'LTO','ULTRIUM-TD4','f' where 0=(select count(*) from drive_vendors where drive_type='LTO' AND vendor_type='ULTRIUM-TD4');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'LTO','ULTRIUM-TD5','f' where 0=(select count(*) from drive_vendors where drive_type='LTO' AND vendor_type='ULTRIUM-TD5');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'LTO','ULT3580-TD3','f' where 0=(select count(*) from drive_vendors where drive_type='LTO' AND vendor_type='ULT3580-TD3');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'LTO','LTO-4','f' where 0=(select count(*) from drive_vendors where drive_type='LTO' AND vendor_type='LTO-4');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'LTO','LTO-5','f' where 0=(select count(*) from drive_vendors where drive_type='LTO' AND vendor_type='LTO-5');
INSERT INTO drive_vendors (drive_type,vendor_type,protection) SELECT distinct 'LTO','TANDBERGLTO-5','f' where 0=(select count(*) from drive_vendors where drive_type='LTO' AND vendor_type='TANDBERGLTO-5');

INSERT INTO media_types (media_type) SELECT distinct 'CDR_650' where 0=(select count(*) from media_types where media_type='CDR_650');
INSERT INTO media_types (media_type) SELECT distinct 'CDR_700' where 0=(select count(*) from media_types where media_type='CDR_700');
INSERT INTO media_types (media_type) SELECT distinct 'CDRW_650' where 0=(select count(*) from media_types where media_type='CDRW_650');
INSERT INTO media_types (media_type) SELECT distinct 'DVDR_4700' where 0=(select count(*) from media_types where media_type='DVDR_4700');
INSERT INTO media_types (media_type) SELECT distinct 'DVDRW_4700' where 0=(select count(*) from media_types where media_type='DVDRW_4700');
INSERT INTO media_types (media_type) SELECT distinct 'DISK_100' where 0=(select count(*) from media_types where media_type='DISK_100');
INSERT INTO media_types (media_type) SELECT distinct 'DISK_200' where 0=(select count(*) from media_types where media_type='DISK_200');
INSERT INTO media_types (media_type) SELECT distinct 'DISK_25' where 0=(select count(*) from media_types where media_type='DISK_25');
INSERT INTO media_types (media_type) SELECT distinct 'DISK_300' where 0=(select count(*) from media_types where media_type='DISK_300');
INSERT INTO media_types (media_type) SELECT distinct 'DISK_400' where 0=(select count(*) from media_types where media_type='DISK_400');
INSERT INTO media_types (media_type) SELECT distinct 'DISK_500' where 0=(select count(*) from media_types where media_type='DISK_500');
INSERT INTO media_types (media_type) SELECT distinct 'DISK_1000' where 0=(select count(*) from media_types where media_type='DISK_1000');
INSERT INTO media_types (media_type) SELECT distinct 'DISK_2000' where 0=(select count(*) from media_types where media_type='DISK_2000');
INSERT INTO media_types (media_type) SELECT distinct 'DISK_5000' where 0=(select count(*) from media_types where media_type='DISK_5000');
INSERT INTO media_types (media_type) SELECT distinct 'DISK_10000' where 0=(select count(*) from media_types where media_type='DISK_10000');
INSERT INTO media_types (media_type) SELECT distinct 'DISK_20000' where 0=(select count(*) from media_types where media_type='DISK_20000');
INSERT INTO media_types (media_type) SELECT distinct 'DISK_50000' where 0=(select count(*) from media_types where media_type='DISK_50000');
INSERT INTO media_types (media_type) SELECT distinct 'DISK_100000' where 0=(select count(*) from media_types where media_type='DISK_100000');
INSERT INTO media_types (media_type) SELECT distinct 'DISK-RESERVE_1GB' where 0=(select count(*) from media_types where media_type='DISK-RESERVE_1GB');
INSERT INTO media_types (media_type) SELECT distinct 'DISK-RESERVE_100MB' where 0=(select count(*) from media_types where media_type='DISK-RESERVE_100MB');
INSERT INTO media_types (media_type) SELECT distinct 'DISK-STORE' where 0=(select count(*) from media_types where media_type='DISK-STORE');
INSERT INTO media_types (media_type) SELECT distinct 'DAT_Tape' where 0=(select count(*) from media_types where media_type='DAT_Tape');
INSERT INTO media_types (media_type) SELECT distinct 'DDS_Tape' where 0=(select count(*) from media_types where media_type='DDS_Tape');
INSERT INTO media_types (media_type) SELECT distinct 'EXA_Tape' where 0=(select count(*) from media_types where media_type='EXA_Tape');
INSERT INTO media_types (media_type) SELECT distinct 'VXA_Tape' where 0=(select count(*) from media_types where media_type='VXA_Tape');
INSERT INTO media_types (media_type) SELECT distinct 'DLT_Tape' where 0=(select count(*) from media_types where media_type='DLT_Tape');
INSERT INTO media_types (media_type) SELECT distinct 'SDLT_Tape' where 0=(select count(*) from media_types where media_type='SDLT_Tape');
INSERT INTO media_types (media_type) SELECT distinct 'SuperDLT-II' where 0=(select count(*) from media_types where media_type='SuperDLT-II');
INSERT INTO media_types (media_type) SELECT distinct 'QIC_Tape' where 0=(select count(*) from media_types where media_type='QIC_Tape');
INSERT INTO media_types (media_type) SELECT distinct 'SLR_Tape' where 0=(select count(*) from media_types where media_type='SLR_Tape');
INSERT INTO media_types (media_type) SELECT distinct 'LTO_Tape' where 0=(select count(*) from media_types where media_type='LTO_Tape');
INSERT INTO media_types (media_type) SELECT distinct 'AIT_Tape' where 0=(select count(*) from media_types where media_type='AIT_Tape');
INSERT INTO media_types (media_type) SELECT distinct 'AIT2_Tape' where 0=(select count(*) from media_types where media_type='AIT2_Tape');
INSERT INTO media_types (media_type) SELECT distinct 'AIT3_Tape' where 0=(select count(*) from media_types where media_type='AIT3_Tape');

INSERT INTO capacities (drive_type,media_type,size,protection) SELECT distinct 'CDR','CDR_650',665600,'f' where 0=(select count(*) from capacities where drive_type='CDR' AND media_type='CDR_650');
INSERT INTO capacities (drive_type,media_type,size,protection) SELECT distinct 'CDR','CDR_700',716800,'f' where 0=(select count(*) from capacities where drive_type='CDR' AND media_type='CDR_700');
INSERT INTO capacities (drive_type,media_type,size,protection) SELECT distinct 'CDRW','CDRW_650',665600,'f' where 0=(select count(*) from capacities where drive_type='CDRW' AND media_type='CDRW_650');
INSERT INTO capacities (drive_type,media_type,size,protection) SELECT distinct 'DVDR','DVDR_4700',4928307,'f' where 0=(select count(*) from capacities where drive_type='DVDR' AND media_type='DVDR_4700');
INSERT INTO capacities (drive_type,media_type,size,protection) SELECT distinct 'DVDRW','DVDRW_4700',4928307,'f' where 0=(select count(*) from capacities where drive_type='DVDRW' AND media_type='DVDRW_4700');
INSERT INTO capacities (drive_type,media_type,size,protection) SELECT distinct 'DISK_CHNG','DISK_500',512000,'f' where 0=(select count(*) from capacities where drive_type='DISK_CHNG' AND media_type='DISK_500');
INSERT INTO capacities (drive_type,media_type,size,protection) SELECT distinct 'DISK_CHNG','DISK_1000',1024000,'f' where 0=(select count(*) from capacities where drive_type='DISK_CHNG' AND media_type='DISK_1000');
INSERT INTO capacities (drive_type,media_type,size,protection) SELECT distinct 'DISK_CHNG','DISK_2000',2048000,'f' where 0=(select count(*) from capacities where drive_type='DISK_CHNG' AND media_type='DISK_2000');
INSERT INTO capacities (drive_type,media_type,size,protection) SELECT distinct 'DISK_CHNG','DISK_10000',10485760,'f' where 0=(select count(*) from capacities where drive_type='DISK_CHNG' AND media_type='DISK_10000');
INSERT INTO capacities (drive_type,media_type,size,protection) SELECT distinct 'DISK_CHNG','DISK_20000',20971520,'f' where 0=(select count(*) from capacities where drive_type='DISK_CHNG' AND media_type='DISK_20000');
INSERT INTO capacities (drive_type,media_type,size,protection) SELECT distinct 'DISK_CHNG','DISK_50000',52428800,'f' where 0=(select count(*) from capacities where drive_type='DISK_CHNG' AND media_type='DISK_50000');
INSERT INTO capacities (drive_type,media_type,size,protection) SELECT distinct 'DISK_CHNG','DISK_100000',104857600,'f' where 0=(select count(*) from capacities where drive_type='DISK_CHNG' AND media_type='DISK_100000');
INSERT INTO capacities (drive_type,media_type,size,protection) SELECT distinct 'DISK_CHNG','DISK-RESERVE_100MB',-102400,'f' where 0=(select count(*) from capacities where drive_type='DISK_CHNG' AND media_type='DISK-RESERVE_100MB');
INSERT INTO capacities (drive_type,media_type,size,protection) SELECT distinct 'DISK_CHNG','DISK-RESERVE_1GB',-1024000,'f' where 0=(select count(*) from capacities where drive_type='DISK_CHNG' AND media_type='DISK-RESERVE_1GB');
INSERT INTO capacities (drive_type,media_type,size,protection) SELECT distinct 'DISK_HARD','DISK_100',102400,'f' where 0=(select count(*) from capacities where drive_type='DISK_HARD' AND media_type='DISK_100');
INSERT INTO capacities (drive_type,media_type,size,protection) SELECT distinct 'DISK_HARD','DISK_1000',1024000,'f' where 0=(select count(*) from capacities where drive_type='DISK_HARD' AND media_type='DISK_1000');
INSERT INTO capacities (drive_type,media_type,size,protection) SELECT distinct 'DISK_HARD','DISK_5000',5242880,'f' where 0=(select count(*) from capacities where drive_type='DISK_HARD' AND media_type='DISK_5000');
INSERT INTO capacities (drive_type,media_type,size,protection) SELECT distinct 'DISK_HARD','DISK_2000',2048000,'f' where 0=(select count(*) from capacities where drive_type='DISK_HARD' AND media_type='DISK_2000');
INSERT INTO capacities (drive_type,media_type,size,protection) SELECT distinct 'DISK_HARD','DISK_10000',10485760,'f' where 0=(select count(*) from capacities where drive_type='DISK_HARD' AND media_type='DISK_10000');
INSERT INTO capacities (drive_type,media_type,size,protection) SELECT distinct 'DISK_HARD','DISK_20000',20971520,'f' where 0=(select count(*) from capacities where drive_type='DISK_HARD' AND media_type='DISK_20000');
INSERT INTO capacities (drive_type,media_type,size,protection) SELECT distinct 'DISK_HARD','DISK_50000',52428800,'f' where 0=(select count(*) from capacities where drive_type='DISK_HARD' AND media_type='DISK_50000');
INSERT INTO capacities (drive_type,media_type,size,protection) SELECT distinct 'DISK_HARD','DISK_100000',104857600,'f' where 0=(select count(*) from capacities where drive_type='DISK_HARD' AND media_type='DISK_100000');
INSERT INTO capacities (drive_type,media_type,size,protection) SELECT distinct 'DISK_STORE','DISK-STORE',-102400,'f' where 0=(select count(*) from capacities where drive_type='DISK_STORE' AND media_type='DISK-STORE');
INSERT INTO capacities (drive_type,media_type,size,protection) SELECT distinct 'DAT','DAT_Tape',14600000,'f' where 0=(select count(*) from capacities where drive_type='DAT' AND media_type='DAT_Tape');
INSERT INTO capacities (drive_type,media_type,size,protection) SELECT distinct 'DDS','DDS_Tape',14600000,'f' where 0=(select count(*) from capacities where drive_type='DDS' AND media_type='DDS_Tape');
INSERT INTO capacities (drive_type,media_type,size,protection) SELECT distinct 'DLT','DLT_Tape',41943040,'f' where 0=(select count(*) from capacities where drive_type='DLT' AND media_type='DLT_Tape');
INSERT INTO capacities (drive_type,media_type,size,protection) SELECT distinct 'SDLT','SDLT_Tape',220000000,'f' where 0=(select count(*) from capacities where drive_type='SDLT' AND media_type='SDLT_Tape');
INSERT INTO capacities (drive_type,media_type,size,protection) SELECT distinct 'SDLT','SuperDLT-II',600000000,'f' where 0=(select count(*) from capacities where drive_type='SDLT' AND media_type='SuperDLT-II');
INSERT INTO capacities (drive_type,media_type,size,protection) SELECT distinct 'EXA','EXA_Tape',61690,'f' where 0=(select count(*) from capacities where drive_type='EXA' AND media_type='EXA_Tape');
INSERT INTO capacities (drive_type,media_type,size,protection) SELECT distinct 'VXA','VXA_Tape',8200000,'f' where 0=(select count(*) from capacities where drive_type='VXA' AND media_type='VXA_Tape');
INSERT INTO capacities (drive_type,media_type,size,protection) SELECT distinct 'SLR','SLR_Tape',8200000,'f' where 0=(select count(*) from capacities where drive_type='SLR' AND media_type='SLR_Tape');
INSERT INTO capacities (drive_type,media_type,size,protection) SELECT distinct 'QIC','QIC_Tape',8200000,'f' where 0=(select count(*) from capacities where drive_type='QIC' AND media_type='QIC_Tape');
INSERT INTO capacities (drive_type,media_type,size,protection) SELECT distinct 'LTO','LTO_Tape',104857600,'f' where 0=(select count(*) from capacities where drive_type='LTO' AND media_type='LTO_Tape');
INSERT INTO capacities (drive_type,media_type,size,protection) SELECT distinct 'AIT','AIT_Tape',26214400,'f' where 0=(select count(*) from capacities where drive_type='AIT' AND media_type='AIT_Tape');
INSERT INTO capacities (drive_type,media_type,size,protection) SELECT distinct 'AIT','AIT2_Tape',52428800,'f' where 0=(select count(*) from capacities where drive_type='AIT' AND media_type='AIT2_Tape');
INSERT INTO capacities (drive_type,media_type,size,protection) SELECT distinct 'AIT','AIT3_Tape',104857600,'f' where 0=(select count(*) from capacities where drive_type='AIT' AND media_type='AIT3_Tape');

INSERT INTO oper_systems (os,platform) SELECT distinct 'SUN-UX','UNIX' where 0=(select count(*) from oper_systems where os='SUN-UX');
INSERT INTO oper_systems (os,platform) SELECT distinct 'AIX','UNIX' where 0=(select count(*) from oper_systems where os='AIX');
INSERT INTO oper_systems (os,platform) SELECT distinct 'BSD','UNIX' where 0=(select count(*) from oper_systems where os='BSD');
INSERT INTO oper_systems (os,platform) SELECT distinct 'FREEBSD','UNIX' where 0=(select count(*) from oper_systems where os='FREEBSD');
INSERT INTO oper_systems (os,platform) SELECT distinct 'HPUX','UNIX' where 0=(select count(*) from oper_systems where os='HPUX');
INSERT INTO oper_systems (os,platform) SELECT distinct 'SCO-UX','UNIX' where 0=(select count(*) from oper_systems where os='SCO-UX');
INSERT INTO oper_systems (os,platform) SELECT distinct 'IRIX','UNIX' where 0=(select count(*) from oper_systems where os='IRIX');
INSERT INTO oper_systems (os,platform) SELECT distinct 'DEC-Unix','UNIX' where 0=(select count(*) from oper_systems where os='DEC-Unix');
INSERT INTO oper_systems (os,platform) SELECT distinct 'SINIX','UNIX' where 0=(select count(*) from oper_systems where os='SINIX');
INSERT INTO oper_systems (os,platform) SELECT distinct 'SOLARIS','UNIX' where 0=(select count(*) from oper_systems where os='SOLARIS');
INSERT INTO oper_systems (os,platform) SELECT distinct 'LINUX','UNIX' where 0=(select count(*) from oper_systems where os='LINUX');
INSERT INTO oper_systems (os,platform) SELECT distinct 'OES-Linux','UNIX' where 0=(select count(*) from oper_systems where os='OES-Linux');
INSERT INTO oper_systems (os,platform) SELECT distinct 'ESX-Server','UNIX' where 0=(select count(*) from oper_systems where os='ESX-Server');
INSERT INTO oper_systems (os,platform) SELECT distinct 'Citrix XenServer','UNIX' where 0=(select count(*) from oper_systems where os='Citrix XenServer');
INSERT INTO oper_systems (os,platform) SELECT distinct 'Marathon everRun','UNIX' where 0=(select count(*) from oper_systems where os='Marathon everRun');
INSERT INTO oper_systems (os,platform) SELECT distinct 'Mac OS X','UNIX' where 0=(select count(*) from oper_systems where os='Mac OS X');
INSERT INTO oper_systems (os,platform) SELECT distinct 'Mac OS X Server','UNIX' where 0=(select count(*) from oper_systems where os='Mac OS X Server');
INSERT INTO oper_systems (os,platform) SELECT distinct 'NetApp','UNIX' where 0=(select count(*) from oper_systems where os='NetApp');
INSERT INTO oper_systems (os,platform) SELECT distinct 'NETAPP','NDMP' where 0=(select count(*) from oper_systems where os='NETAPP');
INSERT INTO oper_systems (os,platform) SELECT distinct 'NetWare','NETWARE' where 0=(select count(*) from oper_systems where os='NetWare');
INSERT INTO oper_systems (os,platform) SELECT distinct 'ALPHA','VMS' where 0=(select count(*) from oper_systems where os='ALPHA');
INSERT INTO oper_systems (os,platform) SELECT distinct 'Windows NT','WNT' where 0=(select count(*) from oper_systems where os='Windows NT');
INSERT INTO oper_systems (os,platform) SELECT distinct 'Windows XP','WNT' where 0=(select count(*) from oper_systems where os='Windows XP');
INSERT INTO oper_systems (os,platform) SELECT distinct 'Windows 2000','WNT' where 0=(select count(*) from oper_systems where os='Windows 2000');
INSERT INTO oper_systems (os,platform) SELECT distinct 'Windows Server 2003','WNT' where 0=(select count(*) from oper_systems where os='Windows Server 2003');
INSERT INTO oper_systems (os,platform) SELECT distinct 'Windows Server 2003 R2','WNT' where 0=(select count(*) from oper_systems where os='Windows Server 2003 R2');
INSERT INTO oper_systems (os,platform) SELECT distinct 'Storage Server 2003','WNT' where 0=(select count(*) from oper_systems where os='Storage Server 2003');
INSERT INTO oper_systems (os,platform) SELECT distinct 'Home Server','WNT' where 0=(select count(*) from oper_systems where os='Home Server');
INSERT INTO oper_systems (os,platform) SELECT distinct 'Windows Vista','WNT' where 0=(select count(*) from oper_systems where os='Windows Vista');
INSERT INTO oper_systems (os,platform) SELECT distinct 'Windows 7','WNT' where 0=(select count(*) from oper_systems where os='Windows 7');
INSERT INTO oper_systems (os,platform) SELECT distinct 'Windows Server 2008','WNT' where 0=(select count(*) from oper_systems where os='Windows Server 2008');
INSERT INTO oper_systems (os,platform) SELECT distinct 'Windows Server 2008 R2','WNT' where 0=(select count(*) from oper_systems where os='Windows Server 2008 R2');
INSERT INTO oper_systems (os,platform) SELECT distinct 'Windows 8','WNT' where 0=(select count(*) from oper_systems where os='Windows 8');
INSERT INTO oper_systems (os,platform) SELECT distinct 'Windows Server 2012','WNT' where 0=(select count(*) from oper_systems where os='Windows Server 2012');



INSERT INTO syntaxes (os,command,syntax) SELECT distinct 'LINUX','DISK_CHANGE-mount','mount' where 0=(select count(*) from syntaxes where os='LINUX' AND command='DISK_CHANGE-mount');
INSERT INTO syntaxes (os,command,syntax) SELECT distinct 'LINUX','DISK_CHANGE-umount','umount' where 0=(select count(*) from syntaxes where os='LINUX' AND command='DISK_CHANGE-umount');
INSERT INTO syntaxes (os,command,syntax) SELECT distinct 'LINUX','DISK_CHANGE-eject','eject' where 0=(select count(*) from syntaxes where os='LINUX' AND command='DISK_CHANGE-eject');
INSERT INTO syntaxes (os,command,syntax) SELECT distinct 'SOLARIS','DISK_CHANGE-mount','mount' where 0=(select count(*) from syntaxes where os='SOLARIS' AND command='DISK_CHANGE-mount');
INSERT INTO syntaxes (os,command,syntax) SELECT distinct 'SOLARIS','DISK_CHANGE-umount','umount' where 0=(select count(*) from syntaxes where os='SOLARIS' AND command='DISK_CHANGE-umount');
INSERT INTO syntaxes (os,command,syntax) SELECT distinct 'SOLARIS','DISK_CHANGE-eject','eject' where 0=(select count(*) from syntaxes where os='SOLARIS' AND command='DISK_CHANGE-eject');
INSERT INTO syntaxes (os,command,syntax) SELECT distinct 'Windows Server 2012','SNAPSHOT-cmd','vss' where 0=(select count(*) from syntaxes where os='Windows Server 2012' AND command='SNAPSHOT-cmd');
INSERT INTO syntaxes (os,command,syntax) SELECT distinct 'Windows Server 2008 R2','SNAPSHOT-cmd','vss' where 0=(select count(*) from syntaxes where os='Windows Server 2008 R2' AND command='SNAPSHOT-cmd');
INSERT INTO syntaxes (os,command,syntax) SELECT distinct 'Windows Server 2008','SNAPSHOT-cmd','vss' where 0=(select count(*) from syntaxes where os='Windows Server 2008' AND command='SNAPSHOT-cmd');
INSERT INTO syntaxes (os,command,syntax) SELECT distinct 'Windows Server 2003 R2','SNAPSHOT-cmd','vss' where 0=(select count(*) from syntaxes where os='Windows Server 2003 R2' AND command='SNAPSHOT-cmd');
INSERT INTO syntaxes (os,command,syntax) SELECT distinct 'Windows Server 2003','SNAPSHOT-cmd','vss' where 0=(select count(*) from syntaxes where os='Windows Server 2003' AND command='SNAPSHOT-cmd');
INSERT INTO syntaxes (os,command,syntax) SELECT distinct 'Storage Server 2003','SNAPSHOT-cmd','vss' where 0=(select count(*) from syntaxes where os='Storage Server 2003' AND command='SNAPSHOT-cmd');
INSERT INTO syntaxes (os,command,syntax) SELECT distinct 'Home Server','SNAPSHOT-cmd','vss' where 0=(select count(*) from syntaxes where os='Home Server' AND command='SNAPSHOT-cmd');
INSERT INTO syntaxes (os,command,syntax) SELECT distinct 'Windows 8','SNAPSHOT-cmd','vss' where 0=(select count(*) from syntaxes where os='Windows 8' AND command='SNAPSHOT-cmd');
INSERT INTO syntaxes (os,command,syntax) SELECT distinct 'Windows 7','SNAPSHOT-cmd','vss' where 0=(select count(*) from syntaxes where os='Windows 7' AND command='SNAPSHOT-cmd');
INSERT INTO syntaxes (os,command,syntax) SELECT distinct 'Windows Vista','SNAPSHOT-cmd','vss' where 0=(select count(*) from syntaxes where os='Windows Vista' AND command='SNAPSHOT-cmd');
INSERT INTO syntaxes (os,command,syntax) SELECT distinct 'Windows XP','SNAPSHOT-cmd','vss' where 0=(select count(*) from syntaxes where os='Windows XP' AND command='SNAPSHOT-cmd');
INSERT INTO syntaxes (os,command,syntax) SELECT distinct 'Windows Server 2012','DISK_CHANGE-eject','sm_eject_media' where 0=(select count(*) from syntaxes where os='Windows Server 2012' AND command='DISK_CHANGE-eject');
INSERT INTO syntaxes (os,command,syntax) SELECT distinct 'Windows Server 2008 R2','DISK_CHANGE-eject','sm_eject_media' where 0=(select count(*) from syntaxes where os='Windows Server 2008 R2' AND command='DISK_CHANGE-eject');
INSERT INTO syntaxes (os,command,syntax) SELECT distinct 'Windows Server 2008','DISK_CHANGE-eject','sm_eject_media' where 0=(select count(*) from syntaxes where os='Windows Server 2008' AND command='DISK_CHANGE-eject');
INSERT INTO syntaxes (os,command,syntax) SELECT distinct 'Windows Server 2003 R2','DISK_CHANGE-eject','sm_eject_media' where 0=(select count(*) from syntaxes where os='Windows Server 2003 R2' AND command='DISK_CHANGE-eject');
INSERT INTO syntaxes (os,command,syntax) SELECT distinct 'Windows Server 2003','DISK_CHANGE-eject','sm_eject_media' where 0=(select count(*) from syntaxes where os='Windows Server 2003' AND command='DISK_CHANGE-eject');
INSERT INTO syntaxes (os,command,syntax) SELECT distinct 'Storage Server 2003','DISK_CHANGE-eject','sm_eject_media' where 0=(select count(*) from syntaxes where os='Storage Server 2003' AND command='DISK_CHANGE-eject');
INSERT INTO syntaxes (os,command,syntax) SELECT distinct 'Home Server','DISK_CHANGE-eject','sm_eject_media' where 0=(select count(*) from syntaxes where os='Home Server' AND command='DISK_CHANGE-eject');
INSERT INTO syntaxes (os,command,syntax) SELECT distinct 'Windows 8','DISK_CHANGE-eject','sm_eject_media' where 0=(select count(*) from syntaxes where os='Windows 8' AND command='DISK_CHANGE-eject');
INSERT INTO syntaxes (os,command,syntax) SELECT distinct 'Windows 7','DISK_CHANGE-eject','sm_eject_media' where 0=(select count(*) from syntaxes where os='Windows 7' AND command='DISK_CHANGE-eject');
INSERT INTO syntaxes (os,command,syntax) SELECT distinct 'Windows XP','DISK_CHANGE-eject','sm_eject_media' where 0=(select count(*) from syntaxes where os='Windows XP' AND command='DISK_CHANGE-eject');

INSERT INTO task_types (backup_type,backup_cmd,backup_options,prepost,prepost_cmd,restore_cmd,restore_options,r_prepost,r_prepost_cmd,source_prefix,platform,flags,protection,comment,interpreter,restore_extern,external_tool,restore_as_path,restore_selective,restore_plain,restore_reloc,restore_recover,restore_online,restore_start,backup_online,missing_cfdi) SELECT distinct 'Path','sbc',NULL,'nnnn','sbc_','sbc',NULL,'nnnn','sbc_restore_',NULL,NULL,NULL,'6',NULL,NULL,'n',NULL,'n','y','y','y','n','n','n','0','' where 0=(select count(*) from task_types where backup_type='Path');
INSERT INTO task_types (backup_type,backup_cmd,backup_options,prepost,prepost_cmd,restore_cmd,restore_options,r_prepost,r_prepost_cmd,source_prefix,platform,flags,protection,comment,interpreter,restore_extern,external_tool,restore_as_path,restore_selective,restore_plain,restore_reloc,restore_recover,restore_online,restore_start,backup_online,missing_cfdi) SELECT distinct 'System Recovery','sbc',NULL,'nnnn','sbc_','sbc',NULL,'nnnn','sbc_restore_',NULL,NULL,NULL,'4',NULL,NULL,'n',NULL,'y','y','y','n','y','n','n','0','fdi' where 0=(select count(*) from task_types where backup_type='System Recovery');
INSERT INTO task_types (backup_type,backup_cmd,backup_options,prepost,prepost_cmd,restore_cmd,restore_options,r_prepost,r_prepost_cmd,source_prefix,platform,flags,protection,comment,interpreter,restore_extern,external_tool,restore_as_path,restore_selective,restore_plain,restore_reloc,restore_recover,restore_online,restore_start,backup_online,missing_cfdi) SELECT distinct 'Exchange Server 5.x','sbc_msex',NULL,'nnnn','sbc_','sbc_msex',NULL,'nnnn','sbc_restore_',NULL,NULL,NULL,'4',NULL,NULL,'n',NULL,'n','n','n','y','y','n','y','0','' where 0=(select count(*) from task_types where backup_type='Exchange Server 5.x');
INSERT INTO task_types (backup_type,backup_cmd,backup_options,prepost,prepost_cmd,restore_cmd,restore_options,r_prepost,r_prepost_cmd,source_prefix,platform,flags,protection,comment,interpreter,restore_extern,external_tool,restore_as_path,restore_selective,restore_plain,restore_reloc,restore_recover,restore_online,restore_start,backup_online,missing_cfdi) SELECT distinct 'Exchange Server 2003','sbc',NULL,'nnnn','sbc_','sbc',NULL,'nnnn','sbc_restore_','sbcex2k:',NULL,NULL,'4',NULL,NULL,'n',NULL,'y','y','n','y','y','n','y','0','' where 0=(select count(*) from task_types where backup_type='Exchange Server 2003');
INSERT INTO task_types (backup_type,backup_cmd,backup_options,prepost,prepost_cmd,restore_cmd,restore_options,r_prepost,r_prepost_cmd,source_prefix,platform,flags,protection,comment,interpreter,restore_extern,external_tool,restore_as_path,restore_selective,restore_plain,restore_reloc,restore_recover,restore_online,restore_start,backup_online,missing_cfdi) SELECT distinct 'Exchange Server','sbc',NULL,'nnnn','sbc_','sbc',NULL,'nnnn','sbc_restore_','VSS:/Microsoft Exchange Writer',NULL,NULL,'4',NULL,'mtf','n','n','y','y','y','y','y','n','y','0','' where 0=(select count(*) from task_types where backup_type='Exchange Server');
INSERT INTO task_types (backup_type,backup_cmd,backup_options,prepost,prepost_cmd,restore_cmd,restore_options,r_prepost,r_prepost_cmd,source_prefix,platform,flags,protection,comment,interpreter,restore_extern,external_tool,restore_as_path,restore_selective,restore_plain,restore_reloc,restore_recover,restore_online,restore_start,backup_online,missing_cfdi) SELECT distinct 'Exchange Server DAG','sbc',NULL,'nnnn','sbc_','sbc',NULL,'nnnn','sbc_restore_','VSS:/Microsoft Exchange Replica Writer',NULL,NULL,'4',NULL,'mtf','n','n','y','y','y','y','y','n','y','0','' where 0=(select count(*) from task_types where backup_type='Exchange Server DAG');
INSERT INTO task_types (backup_type,backup_cmd,backup_options,prepost,prepost_cmd,restore_cmd,restore_options,r_prepost,r_prepost_cmd,source_prefix,platform,flags,protection,comment,interpreter,restore_extern,external_tool,restore_as_path,restore_selective,restore_plain,restore_reloc,restore_recover,restore_online,restore_start,backup_online,missing_cfdi) SELECT distinct 'Exchange Server Single Mailbox','sbc',NULL,'nnnn','sbc_','sbc',NULL,'nnnn','sbc_restore_','SBCEX2KM:',NULL,NULL,'4',NULL,NULL,'n',NULL,'y','y','y','y','n','n','n','0','' where 0=(select count(*) from task_types where backup_type='Exchange Server Single Mailbox');
INSERT INTO task_types (backup_type,backup_cmd,backup_options,prepost,prepost_cmd,restore_cmd,restore_options,r_prepost,r_prepost_cmd,source_prefix,platform,flags,protection,comment,interpreter,restore_extern,external_tool,restore_as_path,restore_selective,restore_plain,restore_reloc,restore_recover,restore_online,restore_start,backup_online,missing_cfdi) SELECT distinct 'Hyper-V','sbc',NULL,'nnnn','sbc_','sbc',NULL,'nnnn','sbc_restore_','VSS:/Microsoft Hyper-V VSS Writer',NULL,NULL,'4',NULL,'mtf','n','n','y','y','y','y','n','n','n','0','' where 0=(select count(*) from task_types where backup_type='Hyper-V');
INSERT INTO task_types (backup_type,backup_cmd,backup_options,prepost,prepost_cmd,restore_cmd,restore_options,r_prepost,r_prepost_cmd,source_prefix,platform,flags,protection,comment,interpreter,restore_extern,external_tool,restore_as_path,restore_selective,restore_plain,restore_reloc,restore_recover,restore_online,restore_start,backup_online,missing_cfdi) SELECT distinct 'INFORMIX',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'7','ONBAR',NULL,'y','OnBar','n','n','n','y','y','y','y','0','' where 0=(select count(*) from task_types where backup_type='INFORMIX');
INSERT INTO task_types (backup_type,backup_cmd,backup_options,prepost,prepost_cmd,restore_cmd,restore_options,r_prepost,r_prepost_cmd,source_prefix,platform,flags,protection,comment,interpreter,restore_extern,external_tool,restore_as_path,restore_selective,restore_plain,restore_reloc,restore_recover,restore_online,restore_start,backup_online,missing_cfdi) SELECT distinct 'DB2_UDB',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'7','DB2',NULL,'y','DB2','n','n','n','y','y','y','y','0','' where 0=(select count(*) from task_types where backup_type='DB2_UDB');
INSERT INTO task_types (backup_type,backup_cmd,backup_options,prepost,prepost_cmd,restore_cmd,restore_options,r_prepost,r_prepost_cmd,source_prefix,platform,flags,protection,comment,interpreter,restore_extern,external_tool,restore_as_path,restore_selective,restore_plain,restore_reloc,restore_recover,restore_online,restore_start,backup_online,missing_cfdi) SELECT distinct 'Lotus Notes','sbc',NULL,'nnnn','sbc_','sbc',NULL,'nnnn','sbc_restore_','SBCLN:',NULL,NULL,'6',NULL,NULL,'n',NULL,'y','y','y','y','y','y','y','0','' where 0=(select count(*) from task_types where backup_type='Lotus Notes');
INSERT INTO task_types (backup_type,backup_cmd,backup_options,prepost,prepost_cmd,restore_cmd,restore_options,r_prepost,r_prepost_cmd,source_prefix,platform,flags,protection,comment,interpreter,restore_extern,external_tool,restore_as_path,restore_selective,restore_plain,restore_reloc,restore_recover,restore_online,restore_start,backup_online,missing_cfdi) SELECT distinct 'MaxDB',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'7','dbmcli',NULL,'y','dbmcli','y','n','n','y','y','y','y','0','' where 0=(select count(*) from task_types where backup_type='MaxDB');
INSERT INTO task_types (backup_type,backup_cmd,backup_options,prepost,prepost_cmd,restore_cmd,restore_options,r_prepost,r_prepost_cmd,source_prefix,platform,flags,protection,comment,interpreter,restore_extern,external_tool,restore_as_path,restore_selective,restore_plain,restore_reloc,restore_recover,restore_online,restore_start,backup_online,missing_cfdi) SELECT distinct 'MS SQL Server','sbc','','nnnn','sbc_','sbc',NULL,'nnnn','sbc_restore_','SBCMSQL:',NULL,NULL,'4',NULL,NULL,'n',NULL,'n','y','n','y','y','y','n','0','' where 0=(select count(*) from task_types where backup_type='MS SQL Server');
INSERT INTO task_types (backup_type,backup_cmd,backup_options,prepost,prepost_cmd,restore_cmd,restore_options,r_prepost,r_prepost_cmd,source_prefix,platform,flags,protection,comment,interpreter,restore_extern,external_tool,restore_as_path,restore_selective,restore_plain,restore_reloc,restore_recover,restore_online,restore_start,backup_online,missing_cfdi) SELECT distinct 'SharePoint Server','sbc',NULL,'nnnn','sbc_','sbc',NULL,'nnnn','sbc_restore_','VSS:/SharePoint Services Writer',NULL,NULL,'4',NULL,NULL,'n',NULL,'y','y','y','y','y','y','n','0','i' where 0=(select count(*) from task_types where backup_type='SharePoint Server');
INSERT INTO task_types (backup_type,backup_cmd,backup_options,prepost,prepost_cmd,restore_cmd,restore_options,r_prepost,r_prepost_cmd,source_prefix,platform,flags,protection,comment,interpreter,restore_extern,external_tool,restore_as_path,restore_selective,restore_plain,restore_reloc,restore_recover,restore_online,restore_start,backup_online,missing_cfdi) SELECT distinct 'SharePoint Sites','sbc',NULL,'nnnn','sbc_','sbc',NULL,'nnnn','sbc_restore_','MOSS2KS:',NULL,NULL,'4',NULL,NULL,'n',NULL,'y','y','y','y','y','y','n','0','i' where 0=(select count(*) from task_types where backup_type='SharePoint Sites');
INSERT INTO task_types (backup_type,backup_cmd,backup_options,prepost,prepost_cmd,restore_cmd,restore_options,r_prepost,r_prepost_cmd,source_prefix,platform,flags,protection,comment,interpreter,restore_extern,external_tool,restore_as_path,restore_selective,restore_plain,restore_reloc,restore_recover,restore_online,restore_start,backup_online,missing_cfdi) SELECT distinct 'MySQL','sbc_mysql',NULL,'nnnn','sbc_','sbc_mysql',NULL,'nnnn','sbc_restore_',NULL,NULL,NULL,'6',NULL,NULL,'n',NULL,'n','n','n','y','y','y','n','0','fdi' where 0=(select count(*) from task_types where backup_type='MySQL');
INSERT INTO task_types (backup_type,backup_cmd,backup_options,prepost,prepost_cmd,restore_cmd,restore_options,r_prepost,r_prepost_cmd,source_prefix,platform,flags,protection,comment,interpreter,restore_extern,external_tool,restore_as_path,restore_selective,restore_plain,restore_reloc,restore_recover,restore_online,restore_start,backup_online,missing_cfdi) SELECT distinct 'NDMP','sbc_ndmp',NULL,'nnnn','sbc_','sbc_ndmp',NULL,'nnnn','sbc_restore_',NULL,NULL,NULL,'1',NULL,NULL,'n',NULL,'n','y','y','y','n','n','n','0','' where 0=(select count(*) from task_types where backup_type='NDMP');
INSERT INTO task_types (backup_type,backup_cmd,backup_options,prepost,prepost_cmd,restore_cmd,restore_options,r_prepost,r_prepost_cmd,source_prefix,platform,flags,protection,comment,interpreter,restore_extern,external_tool,restore_as_path,restore_selective,restore_plain,restore_reloc,restore_recover,restore_online,restore_start,backup_online,missing_cfdi) SELECT distinct 'GroupWise','sbc_smdr',NULL,'nnnn','sbc_','sbc_smdr',NULL,'nnnn','sbc_restore_','GroupWise System',NULL,NULL,'A',NULL,NULL,'n',NULL,'n','y','y','y','n','n','n','0','' where 0=(select count(*) from task_types where backup_type='GroupWise');
INSERT INTO task_types (backup_type,backup_cmd,backup_options,prepost,prepost_cmd,restore_cmd,restore_options,r_prepost,r_prepost_cmd,source_prefix,platform,flags,protection,comment,interpreter,restore_extern,external_tool,restore_as_path,restore_selective,restore_plain,restore_reloc,restore_recover,restore_online,restore_start,backup_online,missing_cfdi) SELECT distinct 'NSS File System','sbc_smdr',NULL,'nnnn','sbc_','sbc_smdr',NULL,'nnnn','sbc_restore_','NSS:',NULL,NULL,'A',NULL,NULL,'n',NULL,'n','y','y','y','n','n','n','0','' where 0=(select count(*) from task_types where backup_type='NSS File System');
INSERT INTO task_types (backup_type,backup_cmd,backup_options,prepost,prepost_cmd,restore_cmd,restore_options,r_prepost,r_prepost_cmd,source_prefix,platform,flags,protection,comment,interpreter,restore_extern,external_tool,restore_as_path,restore_selective,restore_plain,restore_reloc,restore_recover,restore_online,restore_start,backup_online,missing_cfdi) SELECT distinct 'eDirectory','sbc_smdr',NULL,'nnnn','sbc_','sbc_smdr',NULL,'nnnn','sbc_restore_','Novell Directory',NULL,NULL,'A',NULL,NULL,'n',NULL,'n','y','n','n','y','n','n','0','fdi' where 0=(select count(*) from task_types where backup_type='eDirectory');
INSERT INTO task_types (backup_type,backup_cmd,backup_options,prepost,prepost_cmd,restore_cmd,restore_options,r_prepost,r_prepost_cmd,source_prefix,platform,flags,protection,comment,interpreter,restore_extern,external_tool,restore_as_path,restore_selective,restore_plain,restore_reloc,restore_recover,restore_online,restore_start,backup_online,missing_cfdi) SELECT distinct 'ORACLE',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'7','RMAN',NULL,'y','RMAN','n','n','n','y','y','y','y','0','' where 0=(select count(*) from task_types where backup_type='ORACLE');
INSERT INTO task_types (backup_type,backup_cmd,backup_options,prepost,prepost_cmd,restore_cmd,restore_options,r_prepost,r_prepost_cmd,source_prefix,platform,flags,protection,comment,interpreter,restore_extern,external_tool,restore_as_path,restore_selective,restore_plain,restore_reloc,restore_recover,restore_online,restore_start,backup_online,missing_cfdi) SELECT distinct 'SAP/R3',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'7','BRBACKUP',NULL,'y','BRBACKINT','y','n','n','y','y','y','y','0','' where 0=(select count(*) from task_types where backup_type='SAP/R3');
INSERT INTO task_types (backup_type,backup_cmd,backup_options,prepost,prepost_cmd,restore_cmd,restore_options,r_prepost,r_prepost_cmd,source_prefix,platform,flags,protection,comment,interpreter,restore_extern,external_tool,restore_as_path,restore_selective,restore_plain,restore_reloc,restore_recover,restore_online,restore_start,backup_online,missing_cfdi) SELECT distinct 'SuSE Linux Openexchange Server','sbc_slox',NULL,'nnnn','sbc_','sbc_slox',NULL,'nnnn','sbc_restore_',NULL,NULL,NULL,'2',NULL,NULL,'n',NULL,'y','y','n','y','y','y','n','1','fdi' where 0=(select count(*) from task_types where backup_type='SuSE Linux Openexchange Server');
INSERT INTO task_types (backup_type,backup_cmd,backup_options,prepost,prepost_cmd,restore_cmd,restore_options,r_prepost,r_prepost_cmd,source_prefix,platform,flags,protection,comment,interpreter,restore_extern,external_tool,restore_as_path,restore_selective,restore_plain,restore_reloc,restore_recover,restore_online,restore_start,backup_online,missing_cfdi) SELECT distinct 'Scalix','sbc_scx',NULL,'nnnn','sbc_','sbc_scx',NULL,'nnnn','sbc_restore_',NULL,NULL,NULL,'2',NULL,NULL,'n',NULL,'y','y','n','y','y','n','n','0','fdi' where 0=(select count(*) from task_types where backup_type='Scalix');
INSERT INTO task_types (backup_type,backup_cmd,backup_options,prepost,prepost_cmd,restore_cmd,restore_options,r_prepost,r_prepost_cmd,source_prefix,platform,flags,protection,comment,interpreter,restore_extern,external_tool,restore_as_path,restore_selective,restore_plain,restore_reloc,restore_recover,restore_online,restore_start,backup_online,missing_cfdi) SELECT distinct 'OES Novell Directory','sbc','-f @@sbc_nds -F none','nnnn','sbc_','sbc','-f @@sbc_nds -F none','nnnn','sbc_restore_',NULL,NULL,NULL,'2',NULL,NULL,'n',NULL,'y','y','n','n','y','n','n','0','fdi' where 0=(select count(*) from task_types where backup_type='OES Novell Directory');
INSERT INTO task_types (backup_type,backup_cmd,backup_options,prepost,prepost_cmd,restore_cmd,restore_options,r_prepost,r_prepost_cmd,source_prefix,platform,flags,protection,comment,interpreter,restore_extern,external_tool,restore_as_path,restore_selective,restore_plain,restore_reloc,restore_recover,restore_online,restore_start,backup_online,missing_cfdi) SELECT distinct 'Open-Exchange Server','sbc_ox',NULL,'nnnn','sbc_','sbc_ox',NULL,'nnnn','sbc_restore_',NULL,NULL,NULL,'2',NULL,NULL,'n',NULL,'y','y','n','y','y','y','n','1','fdi' where 0=(select count(*) from task_types where backup_type='Open-Exchange Server');
INSERT INTO task_types (backup_type,backup_cmd,backup_options,prepost,prepost_cmd,restore_cmd,restore_options,r_prepost,r_prepost_cmd,source_prefix,platform,flags,protection,comment,interpreter,restore_extern,external_tool,restore_as_path,restore_selective,restore_plain,restore_reloc,restore_recover,restore_online,restore_start,backup_online,missing_cfdi) SELECT distinct 'OpenLDAP','sbc_ldap',NULL,'nnnn','sbc_','sbc_ldap',NULL,'nnnn','sbc_restore_',NULL,NULL,NULL,'2',NULL,NULL,'n',NULL,'n','n','n','y','y','n','n','0','fdi' where 0=(select count(*) from task_types where backup_type='OpenLDAP');
INSERT INTO task_types (backup_type,backup_cmd,backup_options,prepost,prepost_cmd,restore_cmd,restore_options,r_prepost,r_prepost_cmd,source_prefix,platform,flags,protection,comment,interpreter,restore_extern,external_tool,restore_as_path,restore_selective,restore_plain,restore_reloc,restore_recover,restore_online,restore_start,backup_online,missing_cfdi) SELECT distinct 'ESX Server','sbc_esx',NULL,'nnnn','sbc_','sbc_esx',NULL,'nnnn','sbc_restore_',NULL,NULL,NULL,'2',NULL,NULL,'n',NULL,'y','y','y','y','y','n','y','0','fdi' where 0=(select count(*) from task_types where backup_type='ESX Server');
INSERT INTO task_types (backup_type,backup_cmd,backup_options,prepost,prepost_cmd,restore_cmd,restore_options,r_prepost,r_prepost_cmd,source_prefix,platform,flags,protection,comment,interpreter,restore_extern,external_tool,restore_as_path,restore_selective,restore_plain,restore_reloc,restore_recover,restore_online,restore_start,backup_online,missing_cfdi) SELECT distinct 'Zarafa','sbc_zarafa',NULL,'nnnn','sbc_','sbc_zarafa',NULL,'nnnn','sbc_restore_','ZARAFA:',NULL,NULL,'2',NULL,NULL,'n',NULL,'y','y','n','n','y','n','n','0','' where 0=(select count(*) from task_types where backup_type='Zarafa');
INSERT INTO task_types (backup_type,backup_cmd,backup_options,prepost,prepost_cmd,restore_cmd,restore_options,r_prepost,r_prepost_cmd,source_prefix,platform,flags,protection,comment,interpreter,restore_extern,external_tool,restore_as_path,restore_selective,restore_plain,restore_reloc,restore_recover,restore_online,restore_start,backup_online,missing_cfdi) SELECT distinct 'VCB Image','sbc_vcb',NULL,'nnnn','sbc_','sbc_vcb',NULL,'nnnn','sbc_restore_','VCBIMAGE:',NULL,NULL,'4',NULL,NULL,'n',NULL,'y','y','y','y','y','n','y','0','fdi' where 0=(select count(*) from task_types where backup_type='VCB Image');
INSERT INTO task_types (backup_type,backup_cmd,backup_options,prepost,prepost_cmd,restore_cmd,restore_options,r_prepost,r_prepost_cmd,source_prefix,platform,flags,protection,comment,interpreter,restore_extern,external_tool,restore_as_path,restore_selective,restore_plain,restore_reloc,restore_recover,restore_online,restore_start,backup_online,missing_cfdi) SELECT distinct 'VCB File','sbc_vcb',NULL,'nnnn','sbc_','sbc',NULL,'nnnn','sbc_restore_','VCBFILE:',NULL,NULL,'4',NULL,NULL,'n',NULL,'y','y','y','y','n','n','n','0','' where 0=(select count(*) from task_types where backup_type='VCB File');
INSERT INTO task_types (backup_type,backup_cmd,backup_options,prepost,prepost_cmd,restore_cmd,restore_options,r_prepost,r_prepost_cmd,source_prefix,platform,flags,protection,comment,interpreter,restore_extern,external_tool,restore_as_path,restore_selective,restore_plain,restore_reloc,restore_recover,restore_online,restore_start,backup_online,missing_cfdi) SELECT distinct 'VMware vSphere','sbc_vadp','-a trans=hotadd:san:nbd:nbdssl','nnnn','sbc_','sbc_vadp',NULL,'nnnn','sbc_restore_',NULL,NULL,NULL,'6',NULL,'mtf','n',NULL,'y','y','y','y','y','n','y','0','' where 0=(select count(*) from task_types where backup_type='VMware vSphere');
INSERT INTO task_types (backup_type,backup_cmd,backup_options,prepost,prepost_cmd,restore_cmd,restore_options,r_prepost,r_prepost_cmd,source_prefix,platform,flags,protection,comment,interpreter,restore_extern,external_tool,restore_as_path,restore_selective,restore_plain,restore_reloc,restore_recover,restore_online,restore_start,backup_online,missing_cfdi) SELECT distinct 'iFolder','sbc_smdr',NULL,'nnnn','sbc_','sbc_smdr',NULL,'nnnn','sbc_restore_','iFolder Store',NULL,NULL,'A',NULL,NULL,'n',NULL,'n','y','n','n','y','n','n','0','fdi' where 0=(select count(*) from task_types where backup_type='iFolder');
INSERT INTO task_types (backup_type,backup_cmd,backup_options,prepost,prepost_cmd,restore_cmd,restore_options,r_prepost,r_prepost_cmd,source_prefix,platform,flags,protection,comment,interpreter,restore_extern,external_tool,restore_as_path,restore_selective,restore_plain,restore_reloc,restore_recover,restore_online,restore_start,backup_online,missing_cfdi) SELECT distinct 'PostgreSQL','sbc_pgsql',NULL,'nnnn','sbc_','sbc_pgsql',NULL,'nnnn','sbc_restore_',NULL,NULL,NULL,'2',NULL,NULL,'n',NULL,'y','n','n','y','y','y','y','0','fdi' where 0=(select count(*) from task_types where backup_type='PostgreSQL');
INSERT INTO task_types (backup_type,backup_cmd,backup_options,prepost,prepost_cmd,restore_cmd,restore_options,r_prepost,r_prepost_cmd,source_prefix,platform,flags,protection,comment,interpreter,restore_extern,external_tool,restore_as_path,restore_selective,restore_plain,restore_reloc,restore_recover,restore_online,restore_start,backup_online,missing_cfdi) SELECT distinct 'Linux BSR','sbc_proxy',NULL,'nnnn','sbc_','sbc_proxy',NULL,'nnnn','sbc_restore_','REAR:',NULL,NULL,'2',NULL,NULL,'n',NULL,'y','n','n','n','y','n','n','0','fdi' where 0=(select count(*) from task_types where backup_type='Linux BSR');
INSERT INTO task_types (backup_type,backup_cmd,backup_options,prepost,prepost_cmd,restore_cmd,restore_options,r_prepost,r_prepost_cmd,source_prefix,platform,flags,protection,comment,interpreter,restore_extern,external_tool,restore_as_path,restore_selective,restore_plain,restore_reloc,restore_recover,restore_online,restore_start,backup_online,missing_cfdi) SELECT distinct 'BSR_Windows','sbc_bsr',NULL,'nnnn','sbc_','sbc_bsr',NULL,'nnnn','sbc_restore_',NULL,NULL,NULL,'4',NULL,NULL,'y','SEP BSR','n','n','n','n','y','n','n','0','fdi' where 0=(select count(*) from task_types where backup_type='BSR_Windows');
INSERT INTO task_types (backup_type,backup_cmd,backup_options,prepost,prepost_cmd,restore_cmd,restore_options,r_prepost,r_prepost_cmd,source_prefix,platform,flags,protection,comment,interpreter,restore_extern,external_tool,restore_as_path,restore_selective,restore_plain,restore_reloc,restore_recover,restore_online,restore_start,backup_online,missing_cfdi) SELECT distinct 'Ingres','sbc_ingres',NULL,'nnnn','sbc_','sbc_ingres',NULL,'nnnn','sbc_restore_',NULL,NULL,NULL,'6',NULL,NULL,'n',NULL,'y','y','n','y','y','y','y','0','' where 0=(select count(*) from task_types where backup_type='Ingres');
INSERT INTO task_types (backup_type,backup_cmd,backup_options,prepost,prepost_cmd,restore_cmd,restore_options,r_prepost,r_prepost_cmd,source_prefix,platform,flags,protection,comment,interpreter,restore_extern,external_tool,restore_as_path,restore_selective,restore_plain,restore_reloc,restore_recover,restore_online,restore_start,backup_online,missing_cfdi) SELECT distinct 'Citrix XenServer','sbc_xensrv',NULL,'nnnn','sbc_','sbc_xensrv',NULL,'nnnn','sbc_restore_',NULL,NULL,NULL,'2',NULL,NULL,'n',NULL,'n','n','n','y','y','n','y','1','fdi' where 0=(select count(*) from task_types where backup_type='Citrix XenServer');
INSERT INTO task_types (backup_type,backup_cmd,backup_options,prepost,prepost_cmd,restore_cmd,restore_options,r_prepost,r_prepost_cmd,source_prefix,platform,flags,protection,comment,interpreter,restore_extern,external_tool,restore_as_path,restore_selective,restore_plain,restore_reloc,restore_recover,restore_online,restore_start,backup_online,missing_cfdi) SELECT distinct 'Marathon everRun','sbc_xensrv',NULL,'nnnn','sbc_','sbc_xensrv',NULL,'nnnn','sbc_restore_',NULL,NULL,NULL,'2',NULL,NULL,'n',NULL,'n','n','n','y','y','n','y','1','fdi' where 0=(select count(*) from task_types where backup_type='Marathon everRun');
INSERT INTO task_types (backup_type,backup_cmd,backup_options,prepost,prepost_cmd,restore_cmd,restore_options,r_prepost,r_prepost_cmd,source_prefix,platform,flags,protection,comment,interpreter,restore_extern,external_tool,restore_as_path,restore_selective,restore_plain,restore_reloc,restore_recover,restore_online,restore_start,backup_online,missing_cfdi) SELECT distinct 'Cyrus IMAP','sbc_imap',NULL,'nnnn','sbc_','sbc_imap',NULL,'nnnn','sbc_restore_',NULL,NULL,NULL,'2',NULL,NULL,'n',NULL,'y','y','n','y','y','y','n','0','fdi' where 0=(select count(*) from task_types where backup_type='Cyrus IMAP');
INSERT INTO task_types (backup_type,backup_cmd,backup_options,prepost,prepost_cmd,restore_cmd,restore_options,r_prepost,r_prepost_cmd,source_prefix,platform,flags,protection,comment,interpreter,restore_extern,external_tool,restore_as_path,restore_selective,restore_plain,restore_reloc,restore_recover,restore_online,restore_start,backup_online,missing_cfdi) SELECT distinct 'Dovecot IMAP','sbc_imap2',NULL,'nnnn','sbc_','sbc_imap2',NULL,'nnnn','sbc_restore_','Dovecot IMAP:',NULL,NULL,'2',NULL,NULL,'n',NULL,'y','y','n','y','y','y','n','0','fdi' where 0=(select count(*) from task_types where backup_type='Dovecot IMAP');
INSERT INTO task_types (backup_type,backup_cmd,backup_options,prepost,prepost_cmd,restore_cmd,restore_options,r_prepost,r_prepost_cmd,source_prefix,platform,flags,protection,comment,interpreter,restore_extern,external_tool,restore_as_path,restore_selective,restore_plain,restore_reloc,restore_recover,restore_online,restore_start,backup_online,missing_cfdi) SELECT distinct 'Courier IMAP','sbc_imap2',NULL,'nnnn','sbc_','sbc_imap2',NULL,'nnnn','sbc_restore_','Courier IMAP:',NULL,NULL,'2',NULL,NULL,'n',NULL,'y','y','n','y','y','y','n','0','fdi' where 0=(select count(*) from task_types where backup_type='Courier IMAP');
INSERT INTO task_types (backup_type,backup_cmd,backup_options,prepost,prepost_cmd,restore_cmd,restore_options,r_prepost,r_prepost_cmd,source_prefix,platform,proxy,login_flag,flags,protection,comment,interpreter,restore_extern,external_tool,restore_as_path,restore_selective,restore_plain,restore_reloc,restore_recover,restore_online,restore_start,backup_online,missing_cfdi) SELECT distinct 'NetApp','sbc_proxy',NULL,'nnnn','sbc_','sbc_proxy',NULL,'nnnn','sbc_restore_','NetApp:',NULL,'U','n',NULL,'2',NULL,NULL,'n',NULL,'n','y','y',NULL,'n','n','n','0','' where 0=(select count(*) from task_types where backup_type='NetApp');

UPDATE task_types set source_prefix='VSPHERE',restore_selective='n' where backup_type='VMware vSphere';
UPDATE task_types set proxy=NULL,login_flag='n';
UPDATE task_types set proxy='A',login_flag='y' WHERE backup_type IN ('Citrix XenServer','VMware vSphere','Marathon everRun');
UPDATE task_types set proxy='U',login_flag='y' WHERE backup_type IN ('GroupWise','NSS File System','iFolder','eDirectory','NetApp');
UPDATE task_types set login_flag='y' WHERE backup_type IN ('Exchange Server','Exchange Server DAG');

-- End of File
